Bug 439285 - Bad request, Google replied "Contacts API is being deprecated"
Summary: Bad request, Google replied "Contacts API is being deprecated"
Status: CONFIRMED
Alias: None
Product: libkgapi
Classification: Frameworks and Libraries
Component: contacts (show other bugs)
Version: unspecified
Platform: Other Linux
: HI normal with 161 votes (vote)
Target Milestone: ---
Assignee: Daniel Vrátil
URL:
Keywords:
: 443464 443581 444437 449523 453706 458194 (view as bug list)
Depends on:
Blocks: 427319
  Show dependency treegraph
 
Reported: 2021-06-29 05:23 UTC by Gabriel Souza Franco
Modified: 2022-11-29 21:01 UTC (History)
48 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
2 google connections ? (230.51 KB, image/png)
2021-12-14 13:23 UTC, Philippe ROUBACH
Details
2 google connections (148.67 KB, image/png)
2021-12-14 13:24 UTC, Philippe ROUBACH
Details
2 google connections (137.84 KB, image/png)
2021-12-14 13:24 UTC, Philippe ROUBACH
Details
akonadi security check up (295.72 KB, image/png)
2022-01-21 14:40 UTC, Philippe ROUBACH
Details
log when adding a "G Grouware" agent (3.73 KB, text/x-log)
2022-01-21 15:21 UTC, Philippe ROUBACH
Details
script to start google contacts at login (443 bytes, application/x-shellscript)
2022-06-30 15:24 UTC, Philippe ROUBACH
Details
attachment-16007-0.html (926 bytes, text/html)
2022-10-10 13:22 UTC, Geoffrey Clements
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Souza Franco 2021-06-29 05:23:55 UTC
Got an 400 response while syncing my contacts: "Contacts API is being deprecated. Migrate to People API to retain programmatic access to Google Contacts. See https://developers.google.com/people/contacts-api-migration."

According to their documentation, the Contacts API has already been sunset on June 15, 2021. For now only some requests are failing with the deprecation notice, but no one can guarantee for how long.
Comment 1 Axel Braun 2021-07-02 08:16:18 UTC
I just noticed the same as I found out that 25% of my contacts were missing. 
I deleted the google addressbook and created a new one (which seems to sync all contacts) and got this warning as well
Comment 2 Axel Braun 2021-07-02 08:18:40 UTC
reported: https://bugzilla.opensuse.org/show_bug.cgi?id=1187951
Comment 3 Philippe ROUBACH 2021-10-12 11:57:59 UTC
See my bug report, I got problems for one year (2021/10/4) !

https://bugs.kde.org/show_bug.cgi?id=427319
Comment 4 Philippe ROUBACH 2021-10-12 11:59:37 UTC
sorry 2020-10-4 not 2021-10-4
Comment 5 Philippe ROUBACH 2021-10-12 12:02:40 UTC
It's a critical bug. We need a fix. How can you use kmail with no addressbook?
Comment 6 Philippe ROUBACH 2021-10-12 13:55:26 UTC
from this

https://euroquis.nl/kde/2020/01/13/google.html

it is said that kaccounts has no problem. Why kaddressbook does not use kaccounts for accessing to Google resources?

Is there a problem for kaddressbook to use kaccounts instead its own authentication technology ?
Comment 7 Erick Osorio 2021-10-12 21:36:12 UTC
Nowadays I can't get any contact. Please update the API.
Comment 8 Kishore Gopalakrishnan 2021-10-15 05:42:29 UTC
*** Bug 443464 has been marked as a duplicate of this bug. ***
Comment 9 Laurent Montel 2021-10-15 06:15:31 UTC
It seems that there is a branch in libkgapi about it. Dan started it. No idea about status.
Comment 10 Philippe ROUBACH 2021-10-15 07:48:45 UTC
(In reply to Laurent Montel from comment #9)
> It seems that there is a branch in libkgapi about it. Dan started it. No
> idea about status.

Reading this 
https://euroquis.nl/kde/2020/01/13/google.html
I understand the difficulty from Google side but one year of problems for me and no progress.

Is it a priority problem ? Is there not enough people to maintain Gapi? Google is a major actor.

I tried Nextcloud several years ago by installing a local server at home (a Raspberry Pi one). It was less good because too many data existing in kaddressbook contact do not exist in Nextcloud address book. This leads some data was disappearing when synchronizing. Then I went back to google contacts. Google contacts is no perfect but better.
Comment 11 Laurent Montel 2021-10-15 09:49:32 UTC
(In reply to Philippe ROUBACH from comment #10)
> (In reply to Laurent Montel from comment #9)
> > It seems that there is a branch in libkgapi about it. Dan started it. No
> > idea about status.
> 
> Reading this 
> https://euroquis.nl/kde/2020/01/13/google.html
> I understand the difficulty from Google side but one year of problems for me
> and no progress.
> 
> Is it a priority problem ? Is there not enough people to maintain Gapi?
> Google is a major actor.
> 
> I tried Nextcloud several years ago by installing a local server at home (a
> Raspberry Pi one). It was less good because too many data existing in
> kaddressbook contact do not exist in Nextcloud address book. This leads some
> data was disappearing when synchronizing. Then I went back to google
> contacts. Google contacts is no perfect but better.

I understand the problem, but I don't know google api (and I don't use gmail and co), and I don't have time for working on it. Sorry.
Comment 12 Philippe ROUBACH 2021-10-15 11:38:40 UTC
(In reply to Laurent Montel from comment #11)
> (In reply to Philippe ROUBACH from comment #10)
> > (In reply to Laurent Montel from comment #9)
> > > It seems that there is a branch in libkgapi about it. Dan started it. No
> > > idea about status.
> > 
> > Reading this 
> > https://euroquis.nl/kde/2020/01/13/google.html
> > I understand the difficulty from Google side but one year of problems for me
> > and no progress.
> > 
> > Is it a priority problem ? Is there not enough people to maintain Gapi?
> > Google is a major actor.
> > 
> > I tried Nextcloud several years ago by installing a local server at home (a
> > Raspberry Pi one). It was less good because too many data existing in
> > kaddressbook contact do not exist in Nextcloud address book. This leads some
> > data was disappearing when synchronizing. Then I went back to google
> > contacts. Google contacts is no perfect but better.
> 
> I understand the problem, but I don't know google api (and I don't use gmail
> and co), and I don't have time for working on it. Sorry.

OK

What do you use as alternative for your PC and smartphone?
Comment 13 Daniel Vrátil 2021-10-22 09:40:54 UTC
Implementing People API in libkgapi is in progress. I'm rushing to get it in for Gear 21.12, but it's a large API to implement, so it's taking some time....
Comment 14 Philippe ROUBACH 2021-10-22 09:57:34 UTC
Happy to read this. "My contacts" in kaddressbook was empty for 10 days !

What I don't understand is there is no problem with Korganiser and "Google Calendar"

Happily, I have a big stock of addresses in the history of the addresses and a big stock of old mails.

I am tired from this problem and waiting december 9 will be difficult. One more time let's be patient.

Thanks, Daniel
Comment 15 Daniel Vrátil 2021-10-22 11:22:18 UTC
The problem only affects contacts, since Google has deprecated the Contacts API (so when we query your Google addressbook it returns empty data, or an error, or both) and replaced if with People API (which we now need to implement to get access to your contacts again).

Google Calendar integration uses the Calendar API, which is not affected by the deprecation of Contacts API so it continues to work.

To be completely clear - the deprecation has been announced well in advance by Google, this is purely my fault as the "Google integration" maintainer for not implementing the new API in time (mostly because I was taking a time off from KDE at that time).
Comment 16 Laurent Montel 2021-10-26 18:29:55 UTC
*** Bug 444437 has been marked as a duplicate of this bug. ***
Comment 17 Kishore Gopalakrishnan 2021-10-30 14:05:40 UTC
*** Bug 443581 has been marked as a duplicate of this bug. ***
Comment 18 Philippe ROUBACH 2021-11-03 10:30:02 UTC
Now very often (about every 2  days) my calendar disappears !

I must restart "G groupware" to get again my calendar.
Comment 19 Kishore Gopalakrishnan 2021-12-05 11:18:59 UTC
(In reply to Philippe ROUBACH from comment #18)
> Now very often (about every 2  days) my calendar disappears !
> 
> I must restart "G groupware" to get again my calendar.

I also have this issue. 

Would it be possible to disable the Google Contacts integration until the API is implemented in libkgapi? I couldn't find any configuration or compile-time option to do this.
Comment 20 Philippe ROUBACH 2021-12-10 09:35:13 UTC
(In reply to Daniel Vrátil from comment #13)
> Implementing People API in libkgapi is in progress. I'm rushing to get it in
> for Gear 21.12, but it's a large API to implement, so it's taking some
> time....

Hello, i updated to kde gear 21.12.
The problem is still there.
Comment 21 Philippe ROUBACH 2021-12-14 13:23:30 UTC
Created attachment 144540 [details]
2 google connections ?

Today I discovered I get 2 connections to my Google calendar and contacts !

I never created 2 "Google Groupware" connections.
Comment 22 Philippe ROUBACH 2021-12-14 13:24:00 UTC
Created attachment 144541 [details]
2 google connections
Comment 23 Philippe ROUBACH 2021-12-14 13:24:24 UTC
Created attachment 144542 [details]
2 google connections
Comment 24 Philippe ROUBACH 2022-01-17 11:04:32 UTC
Today I lost my contacts in kaddressbook.

I deleted the Google agent then adding again a Google agent but no success. I get no contacts in kaddressbook
Comment 25 Philippe ROUBACH 2022-01-20 05:57:14 UTC
today no more address book and calendar.

i delete the akonadi agent "google groupware"
i add again the akonadi agent "google groupware"

but this does not add any addressbook and any calendar.

Also in akonadi there is no address book and no calendar.
Comment 26 voncloft 2022-01-21 13:11:34 UTC
lost calendars today in both korganizer and kalendar cant even use the PIM in the digital clock
Comment 27 Philippe ROUBACH 2022-01-21 13:14:39 UTC
About calendar, it is a new phenomenon. I never had any problem with google calendar.
Comment 28 voncloft 2022-01-21 13:16:16 UTC
(In reply to Philippe ROUBACH from comment #27)
> About calendar, it is a new phenomenon. I never had any problem with google
> calendar.

i always did it would work for a day....then unsync and remove everything - i had to manually restart in my applications

honestly this is just horrible programming
Comment 29 Philippe ROUBACH 2022-01-21 13:59:26 UTC
I also wonder if there is a problem with 2 steps authentication.
Comment 30 Philippe ROUBACH 2022-01-21 14:40:51 UTC
Created attachment 145706 [details]
akonadi security check up

You can see that "Akonadi Resources for Google Services" has been validated for "contacts" and "calendar".

So why adding the "calendar" in korganizer and the "contacts" in kaddressbook fails ?
Comment 31 Philippe ROUBACH 2022-01-21 15:21:44 UTC
Created attachment 145712 [details]
log when adding a "G Grouware" agent

In akonadiconsole I enabled the debugger. 
Then I added a "Google Groupware agent. "See the attached log.
You can see some errors.
Comment 32 Radovan Skolnik 2022-01-24 09:37:09 UTC
Same for me. Didn't use Contacts but recently Calendar got lost. I can see it Google Groupware in Akonadi Console agent list, nothing in Browser. In Korganizer I can see the Google Groupware in Seetings -> Genral -> Calendars but there is no Google Calendar in calendar view :(
Comment 33 themroc 2022-01-26 07:49:43 UTC
Here the same:
Google Groupware is gradually showing no more calendars on my computers.
Comment 34 Thibaud de Borggraef 2022-01-28 14:09:56 UTC
Same here - google contacts are not loaded
Comment 35 Colin J Thomson 2022-02-02 20:51:34 UTC
*** Bug 449523 has been marked as a duplicate of this bug. ***
Comment 36 Steeven Hudon 2022-02-16 03:32:16 UTC
Same for me.  Google calendar not showing anymore in KOrganizer, no contacts showing in KAddressBook.
Comment 37 Bill Sun 2022-03-30 18:42:36 UTC
Same issue here, using the new Kalendar.

Google calendar is added and listed in "Settings > Calendar Sources". Clicking edit shows a list of calendars and tasks that you can select and enable, however, the calendar view itself shows nothing.
Comment 38 Philippe ROUBACH 2022-04-21 15:49:40 UTC
(In reply to Daniel Vrátil from comment #13)
> Implementing People API in libkgapi is in progress. I'm rushing to get it in
> for Gear 21.12, but it's a large API to implement, so it's taking some
> time....

Still not fixed with kde gears 22.04 .
Comment 39 Bill Sun 2022-04-21 16:36:42 UTC
Kalendar is now showing Google calendar events! 

Not sure if something changed.

akonadiserver 5.19.3 (21.12.3)
Comment 40 Philippe ROUBACH 2022-04-21 16:55:51 UTC
(In reply to Bill Sun from comment #39)
> Kalendar is now showing Google calendar events! 
> 
> Not sure if something changed.
> 
> akonadiserver 5.19.3 (21.12.3)

I never had any problem with Korganizer and G calendar, just temporarily ones.
Comment 41 themroc 2022-04-25 19:53:37 UTC
After upgrading to 22.04 Google Calendar Sync works again.
Contacts are still not synced.
Comment 42 Martin Tlustos 2022-05-05 11:13:35 UTC
(In reply to Daniel Vrátil from comment #15)
> The problem only affects contacts, since Google has deprecated the Contacts
> API (so when we query your Google addressbook it returns empty data, or an
> error, or both) and replaced if with People API (which we now need to
> implement to get access to your contacts again).
> 
> Google Calendar integration uses the Calendar API, which is not affected by
> the deprecation of Contacts API so it continues to work.
> 
> To be completely clear - the deprecation has been announced well in advance
> by Google, this is purely my fault as the "Google integration" maintainer
> for not implementing the new API in time (mostly because I was taking a time
> off from KDE at that time).

Any updates, timeline, expected date of arrival?
Comment 43 gjditchfield 2022-05-12 17:23:38 UTC
*** Bug 453706 has been marked as a duplicate of this bug. ***
Comment 44 Ricardo Sanchez 2022-06-07 14:34:06 UTC
Contacts still not working and deprecated. Now can't access mails anymore.  In google security of my account, akonadi and kde have the permissions needed.  In akonadirestart this is the message I get:
org.kde.pim.pop3resource: "Unable to login to the server \"pop.gmail.com\".\nCould not login to pop.gmail.com. The password may be wrong.\n\nCould not send to server.\n"
The settings  in Kmail are SSL/TLS PORT 995 and CLEARTEXT
The calendar seems to work without issues.
Comment 45 Kishore Gopalakrishnan 2022-06-11 16:01:12 UTC
(In reply to Ricardo Sanchez from comment #44)
> Contacts still not working and deprecated. Now can't access mails anymore. 
> In google security of my account, akonadi and kde have the permissions
> needed.  In akonadirestart this is the message I get:
> org.kde.pim.pop3resource: "Unable to login to the server
> \"pop.gmail.com\".\nCould not login to pop.gmail.com. The password may be
> wrong.\n\nCould not send to server.\n"
> The settings  in Kmail are SSL/TLS PORT 995 and CLEARTEXT
> The calendar seems to work without issues.

The email thing is probably unrelated to this bug. Google has been mandating oauth login since the beginning of this month. You may need to switch your authentication type to 'gmail' (that's what the setting is called for IMAP; not sure if it's the same for POP), and then perform the steps mentioned here: https://bugs.kde.org/show_bug.cgi?id=402973#c2
Comment 46 Ricardo Sanchez 2022-06-11 17:52:45 UTC
(In reply to Kishore Gopalakrishnan from comment #45)
> (In reply to Ricardo Sanchez from comment #44)

> The email thing is probably unrelated to this bug. Google has been mandating
> oauth login since the beginning of this month. You may need to switch your
> authentication type to 'gmail' (that's what the setting is called for IMAP;
> not sure if it's the same for POP), and then perform the steps mentioned
> here: https://bugs.kde.org/show_bug.cgi?id=402973#c2

Thank you, just switched to imap and receiving gmail. Pop doesn't have Gmail autentication.
Comment 47 Gerald 2022-06-30 14:46:17 UTC
Just a quick question: Does Kontact now sync with Google Contacts as per 30th June? Is the problem fixed now? Many thanks for anyone who know.
Comment 48 Philippe ROUBACH 2022-06-30 14:55:38 UTC
kde plasma 5.25.1
kde framework 5.95.0
qt 5.15.2
KDE Gears 24.04.2

Problem still there

My solution to workaround the problem :
with Chrome I create a web app, then I use it to manage my contacts.
Comment 49 Gerald 2022-06-30 14:56:32 UTC
(In reply to Philippe ROUBACH from comment #48)
> kde plasma 5.25.1
> kde framework 5.95.0
> qt 5.15.2
> KDE Gears 24.04.2
> 
> Problem still there
> 
> My solution to workaround the problem :
> with Chrome I create a web app, then I use it to manage my contacts.

Thanks for the idea with the web app!!!
Comment 50 Philippe ROUBACH 2022-06-30 15:24:11 UTC
Created attachment 150295 [details]
script to start google contacts at login

HOW to start automatically the Chrome web app ?

I join my script.

Install the app kdocker.

In the script ;
-  replace the 2 web app id occurences by your web app id.
-  tune the first  delay to your need.

In KDE settings < start/stop > automatic start :
- add the script

in kde settings < start/stop > desktop session > do not restore these applications
- add "kdocker" (not the quotes)

Enjoy
Comment 51 davidkacerek 2022-07-22 19:30:20 UTC
Same issue here. Changes I made to contacts in KAddressBook haven't propagated to GMail. I tried to delete the whole address book and add the new one to no avail - Address Books list is empty. When restarting akonadi, I can see an error in the output: "Bad request, Google replied ' "Contacts API is being deprecated. Migrate to People API to retain programmatic access to Google Contacts. See https://developers.google.com/people/contacts-api-migration." '" Found a similar bug report, perhaps related: https://bugs.kde.org/show_bug.cgi?id=427319

Seeing the bug is 1 year old, hopefully it will get fixed soon.

Operating System: openSUSE Leap 15.3
KDE Plasma Version: 5.18.6
KDE Frameworks Version: 5.76.0
Qt Version: 5.12.7
Comment 52 Colin J Thomson 2022-08-23 18:40:47 UTC
*** Bug 458194 has been marked as a duplicate of this bug. ***
Comment 53 Martin Tlustos 2022-10-10 13:00:43 UTC
@dvratil: any updates on this bug?
Comment 54 Martin Tlustos 2022-10-10 13:07:00 UTC
It seems like Daniel took a break from the project, that's why there are no updates. Maybe someone else could take this over? I have several work related google accounts, and contacts not working is a rather big hassle for me...
Comment 55 Geoffrey Clements 2022-10-10 13:22:14 UTC
Created attachment 152686 [details]
attachment-16007-0.html

Do what I did, install Thunderbird.

On 10 October 2022 14:07:00 BST, Martin Tlustos <bugzilla_noreply@kde.org> wrote:
>https://bugs.kde.org/show_bug.cgi?id=439285
>
>--- Comment #54 from Martin Tlustos <martin.tlustos@gmail.com> ---
>It seems like Daniel took a break from the project, that's why there are no
>updates. Maybe someone else could take this over? I have several work related
>google accounts, and contacts not working is a rather big hassle for me...
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.